It appears that authsrv(6) is lying.

One could easily make it tell the truth:
in /sys/src/cmd/auth/factotum/p9any.c,
in p9anyread, change

negstr = s_new();

to

s->version = 2;
negstr = s_copy("v.2 ");

Russ